`hammer subscription list --organization-id` is supposed to consume organization ID, but consumes

organization LABEL
Status: Closed   

Priority: Normal   

Assignee:    

Category:    

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1082777 Red Hat JIRA:  

Pull request:    

Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1082777

Description of problem:

`hammer subscription list --organization-id` is supposed to consume organization ID, but consumes organization LABEL

Version-Release number of selected component (if applicable):

rubygem-hammer_cli-0.1.0-4.el6sat.noarch

How reproducible:

always

Steps to Reproduce:

1. # hammer organization list

---|------------------|------------------|------------------------------

ID | NAME             | LABEL            | DESCRIPTION

---|------------------|------------------|------------------------------

1  | ACME_Corporation | ACME_Corporation | ACME_Corporation Organization

---|------------------|------------------|------------------------------

2. # hammer subscription list -h

Usage:

hammer subscription list [OPTIONS]

Options:

--activation-key-id ACTIVATION_KEY_ID Activation key ID

--organization-id ORGANIZATION_ID Organization ID   <<< note this

--system-id SYSTEM_ID         UUID of the system

-h, --help                    print help

3. # hammer subscription list --organization-id 1

Couldn't find organization '1'

4. # hammer subscription list --organization-id ACME_Corporation

No data.

Actual results:

When you give organization ID, hammer claims "Couldn't find organization..."

Expected results:

Maybe option should be renamed to:

--organization-label ORGANIZATION_LABEL Organization label

 ?

Associated revisions

Revision 226499c1 - 05/02/2014 06:19 PM - Adam Price 

refs #5028 - organizations aren't a special case anymore
Revision 02732336 - 05/08/2014 01:58 PM - Adam Price 

fixes #5028 - changing organization_id label to ID

Revision 6d5f5394 - 05/08/2014 05:58 PM - Adam Price

fixes #5028 - changing organization_id label to ID

Revision 41b69b9a - 05/08/2014 06:07 PM - Adam Price

refs #5028 - fixing tests

Revision aa18a5b3 - 05/08/2014 06:08 PM - Adam Price

refs #5028 - fixing all the apipie directives

Revision 9851c718 - 05/08/2014 07:28 PM - Adam Price

refs #5028 - switching org lookup to `find_by_id`

Revision b06881ad - 05/09/2014 02:22 PM - Adam Price

Merge pull request #4028 from komidore64/rmi5028

fixes #5028 - changing organization_id label to ID

Revision d266906a - 05/09/2014 02:22 PM - Adam Price 

Merge pull request #155 from komidore64/rmi5028

refs #5028 - organizations aren't a special case anymore

Revision 90f33bd3 - 05/12/2014 05:25 PM - Adam Price 

refs #5028 - correctly display the org's label for suscription manager

Revision cd115ea5 - 05/12/2014 09:25 PM - Adam Price

refs #5028 - correctly display the org's label for suscription manager

Revision 5ccdff19 - 05/13/2014 09:51 PM - Adam Price

Merge pull request #4068 from komidore64/rmi5028-register-hosts

refs #5028 - correctly display the org's label for suscription manager

History

#1 - 05/09/2014 02:53 PM - Anonymous

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:6d5f539455f742c2d00a6b55aa714b68f52d1179.

#2 - 05/27/2014 05:08 PM - Eric Helms

- Target version set to 44

#3 - 06/06/2014 01:08 PM - Eric Helms

- Triaged set to Yes

#4 - 08/21/2014 02:44 PM - Eric Helms

- translation missing: en.field_release set to 13
